Skip to main content
GET
/
leaderboards
/
configs
/
{leaderboardConfigId}
Get leaderboard config by ID
curl --request GET \
  --url https://{subdomain}.nudj.cx/api/v2/admin/leaderboards/configs/{leaderboardConfigId} \
  --header 'x-api-token: <api-key>'
{
  "id": "<string>",
  "organisationId": "<string>",
  "name": "<string>",
  "metricType": "total-xp",
  "period": "daily",
  "startsAt": "<string>",
  "status": "archived",
  "conditions": [
    {
      "type": "<string>",
      "communityId": "<string>"
    }
  ],
  "rewardsConfig": [
    {
      "startRank": 2,
      "endRank": 2,
      "distributionEventId": "<string>"
    }
  ],
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "description": "<string>",
  "expiresAt": "<string>"
}

Authorizations

x-api-token
string
header
required

Headers

x-language
string

The language to return the leaderboard config in. If not provided, the default language for the organisation will be used.

Path Parameters

leaderboardConfigId
string
required
Pattern: ^[0-9a-fA-F]{24}$

Response

Successful response

A leaderboard configuration

id
string
required

The id of the leaderboard config

Pattern: ^[0-9a-fA-F]{24}$
organisationId
string
required

The id of the organisation the leaderboard config belongs to

Pattern: ^[0-9a-fA-F]{24}$
name
string
required

The name of the leaderboard

Minimum string length: 1
metricType
enum<string>
required

The type of metric to track in the leaderboard

Available options:
total-xp,
total-challenges-completed,
total-challenges-started,
total-actions-completed
period
enum<string>
required

The period for the leaderboard (daily, weekly, monthly, yearly, open)

Available options:
daily,
weekly,
monthly,
yearly,
open
startsAt
string
required

The start date of the leaderboard

status
enum<string>
required

The status of the leaderboard config

Available options:
archived,
draft,
expired,
live,
scheduled
conditions
object[]
required

The conditions that participants must meet to appear on this leaderboard

rewardsConfig
LeaderboardRewardsConfig · object[]
required

The reward configuration for different rank ranges

createdAt
string
required

The creation date of the leaderboard config

updatedAt
string
required

The update date of the leaderboard config

description
string | null

The description of the leaderboard

expiresAt
string | null

The expiry date of the leaderboard